Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Out_T< T, T_var > Class Template Reference

Parametrized implementation of _out class for structs, unions and exceptions.. More...

`#include <VarOut_T.h>`

Collaboration diagram for TAO_Out_T< T, T_var >:

[legend]
List of all members.

## Public Methods
| TAO_Out_T (T *&)
| TAO_Out_T (T_var &)
| TAO_Out_T (const TAO_Out_T< T, T_var > &)
TAO_Out_T & | operator= (const TAO_Out_T< T, T_var > &)
TAO_Out_T & | operator= (T *)
| operator T *& ()
T *& | ptr (void)
T * | operator-> (void)
## Private Types
typedef TAO_Out_T< T, T_var > | THIS_OUT_TYPE
## Private Methods
void | operator= (const T_var &)
## Private Attributes
T *& | ptr_

## Detailed Description

### template<typename T, typename T_var>
class TAO_Out_T< T, T_var >

Parametrized implementation of _out class for structs, unions and exceptions..

## Member Typedef Documentation

template<typename T, typename T_var>
typedef TAO_Out_T<T,T_var> TAO_Out_T< T, T_var >::THIS_OUT_TYPE`[private]`

## Constructor & Destructor Documentation

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var >::TAO_Out_T | ( | T *& |  | ) |

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var >::TAO_Out_T | ( | T_var & |  | ) |

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var >::TAO_Out_T | ( | const TAO_Out_T< T, T_var > & |  | ) |

## Member Function Documentation

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var >::operator T *& | ( |  | ) |

template<typename T, typename T_var>
ACE_INLINE T * TAO_Out_T< T, T_var >::operator-> | ( | void |  | ) |

template<typename T, typename T_var>
void TAO_Out_T< T, T_var >::operator= | ( | const T_var & |  | ) | `[private]`

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var > & TAO_Out_T< T, T_var >::operator= | ( | T * |  | ) |

template<typename T, typename T_var>
ACE_INLINE TAO_Out_T< T, T_var > & TAO_Out_T< T, T_var >::operator= | ( | const TAO_Out_T< T, T_var > & |  | ) |

template<typename T, typename T_var>
ACE_INLINE T *& TAO_Out_T< T, T_var >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T, typename T_var>
T*& TAO_Out_T< T, T_var >::ptr_`[private]`

The documentation for this class was generated from the following files:

- VarOut_T.h
- VarOut_T.inl